package com.steerinfo.pretrack.prebeltscale.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.pretrack.prebeltscale.model.PreBeltScale;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface PreBeltScaleMapper extends IBaseMapper<PreBeltScale, String> {

    String doQueryByPredictionNo(@Param("predictionNo") String predictionNo);

    List<PreBeltScale> doQueryLikeInfo(HashMap<String, Object> obj);

    List<PreBeltScale> doQuerylike(HashMap<String, Object> obj);

    int doUpdateFlags_0(List<PreBeltScale> list);

    int doUpdateFlags_1(List<PreBeltScale> list);

    List<PreBeltScale> PreScaleByMes(HashMap<String, Object> obj);



}